<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKCustomViewBase from './ibizbookcustom-view-base.vue';

// 基于 @VIEW/@MACRO/VIEW.vue.ftl 生成
@Component({
    components: {
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKCustomView extends IBIZBOOKCustomViewBase {

}
</script>